package com.boman.wechat.controller;

import com.boman.common.security.service.TokenService;
import com.boman.domain.AppletLoginForm;
import com.boman.domain.dto.AppletSessionDTO;
import com.boman.domain.dto.R;
import com.boman.wechat.utils.WxCodeSessionUtil;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author shiqian
 * @date 2021年09月08日 17:29
 **/
@RestController
@RequestMapping("applet")
public class AppletLoginController {

    @Resource
    private WxCodeSessionUtil codeUtil;
    @Resource
    private TokenService tokenService;

    @PostMapping("/login")
    public R<Map<String, Object>> getPhone(@RequestBody AppletLoginForm form) {
        AppletSessionDTO dto = codeUtil.jscode2Session(form);
        return tokenService.appletLogin(dto.getPhoneNumber());
    }

}
